server:
  service:
    type: LoadBalancer
  replicas: 1
  extraArgs:
    - --insecure
  config:
    repositories: |
      - type: git
        url: https://github.com/argoproj/argocd-example-apps.git
  ingress:
    enabled: true
    annotations:
      kubernetes.io/ingress.class: "nginx"
      kubernetes.io/tls-acme: "true"
      cert-manager.io/cluster-issuer: "letsencrypt-prod"
      nginx.ingress.kubernetes.io/proxy-body-size: 102400m
    hostname: "argo.junv.cc"
    tls:
    - hosts:
      - argo.junv.cc
      secretName: argocd-tls
  metrics:
    enabled: false
    serviceMonitor:
      enabled: true
  env:
    - name: ARGOCD_API_SERVER_REPLICAS
      value: '2'

configs:
  cm:
    timeout.reconciliation: 60s
    application.instanceLabelKey: argocd.argoproj.io/instance

controller:
  enableStatefulSet: true
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
  resources:
    limits:
      cpu: 500m
      memory: 512Mi
    requests:
      cpu: 250m
      memory: 256Mi

repoServer:
  replicas: 1
  metrics:
    enabled: false
    serviceMonitor:
      enabled: true
  resources:
    limits:
      cpu: 500m
      memory: 512Mi
    requests:
      cpu: 250m
      memory: 256Mi

redis-ha:
  enabled: false

redis:
  enabled: false

externalRedis:
  enabled: true
  host: "192.168.1.2"
  port: 6379

applicationSet:
  metrics:
    enabled: false
    serviceMonitor:
      enabled: true

global:
  logging:
    level: "warn"
